Installation of mairix goes as follows:

./configure
make
make install

You need to be root to run the final step unless you're installing under your
own home directory somewhere.

However, you might want to tune the options further.  The configure script
shares its common options with the usual autoconf-generated scripts, even
though it's not autoconf-generated itself.  For example, a fuller build could
use

CC=gcc CFLAGS="-O2 -Wall" ./configure \
    --prefix=/opt/mairix \
    --infodir=/usr/share/info
make
make install

The final step is to create a ~/.mairixrc file.  An example is included in the
file dotmairixrc.eg.  Just copy that to ~/.mairixrc and edit it.
